#include <stdio.h>
#include <stdlib.h>

int main()
{
    long n, i, j;
    int k=1;
    scanf("%ld", &n);
    long a[n];
    for(i=0; i<n; i++){
        scanf("%ld", &a[i]);
    }
    for(i=0; i<n-1&&k; i++){
        long max=a[i], mbr=i;
        for(j=i+1; j<n&&k; j++)if(max<a[j]){
            max=a[j];
            mbr=j;
        }
        if(max>a[i]){
            long t=a[i];
            a[i]=max;
            a[mbr]=t;
            k--;
        }
    }
    for(i=0; i<n; i++)printf("%ld ", a[i]);
    return 0;
}